Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.franz.agjena
Enum StartUp.AccessTripleStore

    java.lang.Object
      java.lang.Enum<StartUp.AccessTripleStore>
          com.franz.agjena.StartUp.AccessTripleStore

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StartUp.AccessTripleStore>

Enclosing class:
  StartUp

    public static enum StartUp.AccessTripleStore

extends java.lang.Enum<StartUp.AccessTripleStore>

Enum Constant Summary
`ACCESS`
`CREATE`
`OPEN`
`RENEW`
`REPLACE`

Method Summary
`java.lang.String` | `getCommand()`
`static StartUp.AccessTripleStore` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StartUp.AccessTripleStore[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCESS

    public static final StartUp.AccessTripleStore ACCESS

### RENEW

    public static final StartUp.AccessTripleStore RENEW

### OPEN

    public static final StartUp.AccessTripleStore OPEN

### CREATE

    public static final StartUp.AccessTripleStore CREATE

### REPLACE

    public static final StartUp.AccessTripleStore REPLACE

Method Detail

### values

    public static final StartUp.AccessTripleStore[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StartUp.AccessTripleStore c : StartUp.AccessTripleStore.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StartUp.AccessTripleStore valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getCommand

    public java.lang.String getCommand()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD